Public APIAPI ReferenceEnvironment

Get app environment variables.

Beta API

The /v1 API contract may change, including breaking changes without compatibility aliases.

GET/v1/apps/{appId}/env

Users with access to the team can view the app's environment variables. Secret values are redacted; plain templates are returned without interpolation. CLI: ntro env ls.

Authorization

bearerAuth
AuthorizationBearer <token>

Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.

In: header

Path Parameters

appId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/apps/string/env"
{  "items": [    {      "key": "string",      "redacted": true,      "secret": true,      "target": "string",      "value": "string"    }  ]}